Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.mail
Class MailResourceAdapter

    java.lang.Object
      org.jboss.resource.adapter.mail.MailResourceAdapter

All Implemented Interfaces:
  javax.resource.spi.ResourceAdapter

public class MailResourceAdapter
extends Object
implements javax.resource.spi.ResourceAdapter

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`MailResourceAdapter()`

Method Summary
`void` | `endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory, javax.resource.spi.ActivationSpec spec)`
`void` | `endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory, javax.resource.spi.ActivationSpec spec)`
`javax.resource.spi.work.WorkManager` | `getWorkManager()` Get the work manager
`XAResource[]` | `getXAResources(javax.resource.spi.ActivationSpec[] specs)`
`void` | `start(javax.resource.spi.BootstrapContext ctx)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailResourceAdapter

    public MailResourceAdapter()

Method Detail

### getWorkManager

    public javax.resource.spi.work.WorkManager getWorkManager()

  Get the work manager

  Returns:
    the work manager

### start

    public void start(javax.resource.spi.BootstrapContext ctx)
               throws javax.resource.spi.ResourceAdapterInternalException

  Specified by:
    `start` in interface `javax.resource.spi.ResourceAdapter`
  Throws:
    `javax.resource.spi.ResourceAdapterInternalException`

### stop

    public void stop()

  Specified by:
    `stop` in interface `javax.resource.spi.ResourceAdapter`

### endpointActivation

    public void endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory,
                                   javax.resource.spi.ActivationSpec spec)
                            throws javax.resource.ResourceException

  Specified by:
    `endpointActivation` in interface `javax.resource.spi.ResourceAdapter`
  Throws:
    `javax.resource.ResourceException`

### endpointDeactivation

    public void endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory,
                                     javax.resource.spi.ActivationSpec spec)

  Specified by:
    `endpointDeactivation` in interface `javax.resource.spi.ResourceAdapter`

### getXAResources

    public XAResource[] getXAResources(javax.resource.spi.ActivationSpec[] specs)
                                throws javax.resource.ResourceException

  Specified by:
    `getXAResources` in interface `javax.resource.spi.ResourceAdapter`
  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.